> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Recommendation



## OpenAPI

````yaml /openapi.json patch /v1/recommendations/{rec_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/recommendations/{rec_id}:
    patch:
      tags:
        - recommendations
      summary: Patch Recommendation
      operationId: patch_recommendation_v1_recommendations__rec_id__patch
      parameters:
        - in: path
          name: rec_id
          required: true
          schema:
            title: Rec Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecPatch'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    RecPatch:
      properties:
        dismissal_reason:
          anyOf:
            - maxLength: 500
              minLength: 1
              type: string
            - type: 'null'
          title: Dismissal Reason
        impact:
          anyOf:
            - $ref: '#/components/schemas/RecommendationImpact'
            - type: 'null'
        rank:
          anyOf:
            - minimum: 1
              type: integer
            - type: 'null'
          title: Rank
        status:
          anyOf:
            - $ref: '#/components/schemas/RecommendationStatus'
            - type: 'null'
        step_updates:
          anyOf:
            - additionalProperties:
                type: boolean
              type: object
            - type: 'null'
          title: Step Updates
      title: RecPatch
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RecommendationImpact:
      enum:
        - high
        - medium
        - quick_win
      title: RecommendationImpact
      type: string
    RecommendationStatus:
      enum:
        - pending
        - in_progress
        - implemented
        - dismissed
      title: RecommendationStatus
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````